/*===========================================================================*/
/*   (SawJvm/names.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent SawJvm/names.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_jarrayz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_jarrayz00_bglt;

typedef struct BgL_backendz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
} *BgL_backendz00_bglt;

typedef struct BgL_cvmz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
} *BgL_cvmz00_bglt;

typedef struct BgL_sawcz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
} *BgL_sawcz00_bglt;

typedef struct BgL_cgenz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
} *BgL_cgenz00_bglt;

typedef struct BgL_jvmz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
   obj_t BgL_qnamez00;
   obj_t BgL_classesz00;
   obj_t BgL_currentzd2classzd2;
   obj_t BgL_declarationsz00;
   obj_t BgL_fieldsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_codez00;
} *BgL_jvmz00_bglt;

typedef struct BgL_dotnetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_languagez00;
   obj_t BgL_namez00;
   obj_t BgL_externzd2variableszd2;
   obj_t BgL_externzd2functionszd2;
   obj_t BgL_externzd2typeszd2;
   obj_t BgL_variablesz00;
   obj_t BgL_functionsz00;
   obj_t BgL_typesz00;
   obj_t BgL_outz00;
   obj_t BgL_qnamez00;
} *BgL_dotnetz00_bglt;

typedef struct BgL_jvmbasicz00_bgl {
   char dummy;
} *BgL_jvmbasicz00_bglt;


BGL_EXPORTED_DECL BgL_jvmbasicz00_bglt BGl_fillzd2jvmbasicz12zc0zzsaw_jvm_namesz00(BgL_jvmbasicz00_bglt);
static obj_t BGl__saw_jvmzd2setzd2typezd2namesz124151zc0zzsaw_jvm_namesz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzsaw_jvm_namesz00();
BGL_IMPORT obj_t open_input_string(obj_t);
extern BgL_typez00_bglt BGl_makezd2typezd2zztype_typez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(BgL_jclassz00_bglt);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectzd2ze3structz31zz__objectz00(BgL_objectz00_bglt);
extern obj_t BGl_forzd2eachzd2typez12z12zztype_envz00(obj_t);
static obj_t BGl_structzb2objectzd2ze3objectzd2jvmbasic3514z51zzsaw_jvm_namesz00(obj_t, obj_t, obj_t);
extern obj_t BGl_wclassz00zzobject_classz00;
extern obj_t BGl_jarrayz00zzforeign_jtypez00;
extern obj_t BGl_tclassz00zzobject_classz00;
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static bool_t BGl_resetzd2jvmstdzd2typez12z12zzsaw_jvm_namesz00();
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl_cnstzd2initzd2zzsaw_jvm_namesz00();
extern obj_t BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(BgL_wclassz00_bglt);
BGL_EXPORTED_DECL BgL_jvmbasicz00_bglt BGl_wideningzd2jvmbasiczd2zzsaw_jvm_namesz00();
BGL_EXPORTED_DECL BgL_jvmbasicz00_bglt BGl_makezd2jvmbasiczd2zzsaw_jvm_namesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_namesz00();
BGL_EXPORTED_DECL obj_t BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_jvmz00_bglt);
BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
static obj_t BGl__allocatezd2jvmbasiczd2zzsaw_jvm_namesz00(obj_t);
BGL_IMPORT obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzsaw_jvm_namesz00();
extern obj_t BGl_jclassz00zzobject_classz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_jvmz00zzbackend_backendz00;
static obj_t BGl__wideningzd2jvmbasiczd2zzsaw_jvm_namesz00(obj_t);
static obj_t BGl__makezd2jvmbasic4156zd2zzsaw_jvm_namesz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
static obj_t BGl__jvmbasiczf3zf3zzsaw_jvm_namesz00(obj_t, obj_t);
BGL_IMPORT BgL_objectz00_bglt BGl_structzb2objectzd2ze3objectz83zz__objectz00(BgL_objectz00_bglt, obj_t);
BGL_EXPORTED_DECL BgL_typez00_bglt BGl_allocatezd2jvmbasiczd2zzsaw_jvm_namesz00();
static obj_t BGl__fillzd2jvmbasicz124158zc0zzsaw_jvm_namesz00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
static obj_t BGl_getzd2jvmtypezd2zzsaw_jvm_namesz00(BgL_typez00_bglt);
static obj_t BGl_objectzd2ze3structzd2jvmbasic3512ze3zzsaw_jvm_namesz00(obj_t, obj_t);
static obj_t BGl_buildzd2typezd2namez00zzsaw_jvm_namesz00(BgL_typez00_bglt);
static obj_t BGl__nameszd2initializa7ation4146z75zzsaw_jvm_namesz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_jvmbasiczf3zf3zzsaw_jvm_namesz00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_jvmbasicz00zzsaw_jvm_namesz00 = BUNSPEC;
static obj_t BGl_objectzd2initzd2zzsaw_jvm_namesz00();
extern obj_t BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zzsaw_jvm_namesz00 = BUNSPEC;
extern obj_t BGl_tvecz00zztvector_tvectorz00;
extern obj_t BGl_wideningzd2tveczd2zztvector_tvectorz00(BgL_typez00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_namesz00();
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t BGl_backendzd2subtypezf3zd2jvm3510zf3zzsaw_jvm_namesz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(BgL_tclassz00_bglt);
static obj_t __cnst[ 9 ] ;


extern obj_t BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00;
DEFINE_EXPORT_PROCEDURE( BGl_allocatezd2jvmbasiczd2envz00zzsaw_jvm_namesz00, BgL_bgl__allocateza7d2jvmbasicza7d2za7za7saw_jvm_namesza7004276za7, BGl__allocatezd2jvmbasiczd2zzsaw_jvm_namesz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_wideningzd2jvmbasiczd2envz00zzsaw_jvm_namesz00, BgL_bgl__wideningza7d2jvmbasicza7d2za7za7saw_jvm_namesza7004277za7, BGl__wideningzd2jvmbasiczd2zzsaw_jvm_namesz00, 0L, 0 );
BGL_IMPORT obj_t BGl_objectzd2ze3structzd2envze3zz__objectz00;
DEFINE_STATIC_PROCEDURE( BGl_proc4245z00zzsaw_jvm_namesz00, BgL_bgl_backendza7d2subtypeza7f3za7d2jvm3510za7f3za7za7saw_jvm_namesza7004278za7, BGl_backendzd2subtypezf3zd2jvm3510zf3zzsaw_jvm_namesz00, 0L, 3 );
DEFINE_STATIC_PROCEDURE( BGl_proc4246z00zzsaw_jvm_namesz00, BgL_bgl_objectza7d2za7e3structza7d2jvmbasic3512za7e3za7za7saw_jvm_namesza7004279za7, BGl_objectzd2ze3structzd2jvmbasic3512ze3zzsaw_jvm_namesz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4247z00zzsaw_jvm_namesz00, BgL_bgl_structza7b2objectza7d2za7e3objectza7d2jvmbasic3514za751za7za7saw_jvm_namesza7004280z00, BGl_structzb2objectzd2ze3objectzd2jvmbasic3514z51zzsaw_jvm_namesz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmbasiczf3zd2envz21zzsaw_jvm_namesz00, BgL_bgl__jvmbasicza7f3za7f3za7za7saw_jvm_namesza7004281za7, BGl__jvmbasiczf3zf3zzsaw_jvm_namesz00, 0L, 1 );
extern obj_t BGl_resetzd2globalz12zd2envz12zzbackend_cplibz00;
DEFINE_EXPORT_PROCEDURE( BGl_fillzd2jvmbasicz12zd2envz12zzsaw_jvm_namesz00, BgL_bgl__fillza7d2jvmbasicza7124158za7c0za7za7saw_jvm_namesza7004282z00, BGl__fillzd2jvmbasicz124158zc0zzsaw_jvm_namesz00, 0L, 1 );
DEFINE_STRING( BGl_string4248z00zzsaw_jvm_namesz00, BgL_bgl_string4248za700za7za7saw_jvm_namesza7004283z00, "java.lang.Object jvmbasic object ((obj . obj) (magic . obj) (pair-nil . obj) (procedure-el1 . obj) (void* . obj) (output-port . output-port) (input-port . input-port) (binary-port . binary-port) (epair . extended_pair) (procedure . procedure)) (char char ucs2 obj obj obj) (bstring string ucs2string vector cnst* procedure-el) (boolean byte char int int long long) (bool char ucs2 long uchar llong elong) (void short int float double) ", 435 );
DEFINE_STRING( BGl_string4244z00zzsaw_jvm_namesz00, BgL_bgl_string4244za700za7za7saw_jvm_namesza7004284z00, "Zector", 6 );
BGL_IMPORT obj_t BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00;
DEFINE_EXPORT_PROCEDURE( BGl_nameszd2initializa7ationzd2envza7zzsaw_jvm_namesz00, BgL_bgl__namesza7d2initializa7a7ation4146za775za7za7saw_jvm_namesza7004285z00, BGl__nameszd2initializa7ation4146z75zzsaw_jvm_namesz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2jvmbasiczd2envz00zzsaw_jvm_namesz00, BgL_bgl__makeza7d2jvmbasic4156za7d2za7za7saw_jvm_namesza7004286za7, BGl__makezd2jvmbasic4156zd2zzsaw_jvm_namesz00, 0L, 14 );
DEFINE_STATIC_PROCEDURE( BGl_saw_jvmzd2setzd2typezd2namesz12zd2envz12zzsaw_jvm_namesz00, BgL_bgl__saw_jvmza7d2setza7d2typeza7d2namesza7124151za7c0za7za7saw_jvm_namesza7004287z00, BGl__saw_jvmzd2setzd2typezd2namesz124151zc0zzsaw_jvm_namesz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_jvm_namesz00(long BgL_checksumz00_1580, char * BgL_fromz00_1581)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzsaw_jvm_namesz00))
{ 
BGl_requirezd2initializa7ationz75zzsaw_jvm_namesz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzsaw_jvm_namesz00(); 
BGl_cnstzd2initzd2zzsaw_jvm_namesz00(); 
BGl_importedzd2moduleszd2initz00zzsaw_jvm_namesz00(); 
BGl_objectzd2initzd2zzsaw_jvm_namesz00(); 
BGl_methodzd2initzd2zzsaw_jvm_namesz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzsaw_jvm_namesz00()
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 1 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "saw_jvm_names"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzsaw_jvm_namesz00()
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 1 */
{ /* ./SawJvm/names.scm 1 */
obj_t BgL_cportz00_1561;
BgL_cportz00_1561 = 
open_input_string(BGl_string4248z00zzsaw_jvm_namesz00); 
{ 
long BgL_iz00_1562;
BgL_iz00_1562 = ((long)8); 
BgL_loopz00_1563:
{ /* ./SawJvm/names.scm 1 */
bool_t BgL_test4250z00_1564;
BgL_test4250z00_1564 = 
(BgL_iz00_1562==((long)-1)); 
if(BgL_test4250z00_1564)
{ /* ./SawJvm/names.scm 1 */
return BUNSPEC;}  else 
{ /* ./SawJvm/names.scm 1 */
{ /* ./SawJvm/names.scm 1 */
obj_t BgL_arg4252z00_1565;
{ /* ./SawJvm/names.scm 1 */
obj_t BgL_list4255z00_1566;
BgL_list4255z00_1566 = 
MAKE_PAIR(BgL_cportz00_1561, BNIL); 
BgL_arg4252z00_1565 = 
BGl_readz00zz__readerz00(BgL_list4255z00_1566); } 
{ /* ./SawJvm/names.scm 1 */
int BgL_auxz00_1597;
BgL_auxz00_1597 = 
(int)(BgL_iz00_1562); 
CNST_TABLE_SET(BgL_auxz00_1597, BgL_arg4252z00_1565); } } 
{ /* ./SawJvm/names.scm 1 */
int BgL_auxz00_1567;
{ /* ./SawJvm/names.scm 1 */
long BgL_auxz00_1600;
BgL_auxz00_1600 = 
(BgL_iz00_1562-((long)1)); 
BgL_auxz00_1567 = 
(int)(BgL_auxz00_1600); } 
{ 
long BgL_iz00_1603;
BgL_iz00_1603 = 
(long)(BgL_auxz00_1567); 
BgL_iz00_1562 = BgL_iz00_1603; 
goto BgL_loopz00_1563;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzsaw_jvm_namesz00()
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 1 */
return BUNSPEC;} 
}



/* names-initialization */
BGL_EXPORTED_DEF obj_t BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(BgL_jvmz00_bglt BgL_mez00_1)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 19 */
BGl_resetzd2jvmstdzd2typez12z12zzsaw_jvm_namesz00(); 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_resetzd2globalz12zd2envz12zzbackend_cplibz00); 
return 
BGl_forzd2eachzd2typez12z12zztype_envz00(BGl_saw_jvmzd2setzd2typezd2namesz12zd2envz12zzsaw_jvm_namesz00);} 
}



/* _names-initialization4146 */
obj_t BGl__nameszd2initializa7ation4146z75zzsaw_jvm_namesz00(obj_t BgL_envz00_1513, obj_t BgL_mez00_1514)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 19 */
return 
BGl_nameszd2initializa7ationz75zzsaw_jvm_namesz00(
(BgL_jvmz00_bglt)(BgL_mez00_1514));} 
}



/* reset-jvmstd-type! */
bool_t BGl_resetzd2jvmstdzd2typez12z12zzsaw_jvm_namesz00()
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 28 */
{ 
obj_t BgL_l3492z00_880;
BgL_l3492z00_880 = 
CNST_TABLE_REF(((long)0)); 
BgL_forzd2each3493zd2_881:
{ /* ./SawJvm/names.scm 30 */
bool_t BgL_test3519z00_882;
BgL_test3519z00_882 = 
PAIRP(BgL_l3492z00_880); 
if(BgL_test3519z00_882)
{ /* ./SawJvm/names.scm 30 */
{ /* ./SawJvm/names.scm 30 */
obj_t BgL_xz00_883;
BgL_xz00_883 = 
CAR(BgL_l3492z00_880); 
{ /* ./SawJvm/names.scm 30 */
BgL_typez00_bglt BgL_arg3521z00_884;
{ /* ./SawJvm/names.scm 30 */
BgL_typez00_bglt BgL_obj3494z00_885;
{ 
BgL_typez00_bglt BgL_auxz00_1613;
BgL_auxz00_1613 = 
BGl_findzd2typezd2zztype_envz00(BgL_xz00_883); 
BgL_obj3494z00_885 = 
((BgL_typez00_bglt)BgL_auxz00_1613); } 
{ /* ./SawJvm/names.scm 30 */
BgL_jvmbasicz00_bglt BgL_arg3524z00_886;
BgL_arg3524z00_886 = 
BGl_wideningzd2jvmbasiczd2zzsaw_jvm_namesz00(); 
{ /* ./SawJvm/names.scm 30 */
obj_t BgL_auxz00_1619;BgL_objectz00_bglt BgL_auxz00_1617;
BgL_auxz00_1619 = 
(obj_t)(BgL_arg3524z00_886); 
BgL_auxz00_1617 = 
(BgL_objectz00_bglt)(BgL_obj3494z00_885); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1617, BgL_auxz00_1619); } } 
{ /* ./SawJvm/names.scm 30 */
long BgL_arg3528z00_887;
BgL_arg3528z00_887 = 
BGl_classzd2numzd2zz__objectz00(BGl_jvmbasicz00zzsaw_jvm_namesz00); 
{ /* ./SawJvm/names.scm 30 */
BgL_objectz00_bglt BgL_objz00_1433;
BgL_objz00_1433 = 
(BgL_objectz00_bglt)(BgL_obj3494z00_885); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1433, BgL_arg3528z00_887); } } 
{ /* ./SawJvm/names.scm 30 */
obj_t BgL_objz00_1435;
BgL_objz00_1435 = 
(obj_t)(BgL_obj3494z00_885); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1435); BUNSPEC; } 
BgL_arg3521z00_884 = BgL_obj3494z00_885; } 
{ /* ./SawJvm/names.scm 30 */
BgL_typez00_bglt BgL_obj1006z00_1436;obj_t BgL_val1005z00_1437;
BgL_obj1006z00_1436 = BgL_arg3521z00_884; 
BgL_val1005z00_1437 = BgL_xz00_883; 
((((BgL_typez00_bglt)CREF(BgL_obj1006z00_1436))->BgL_namez00) = ((obj_t)BgL_val1005z00_1437), BUNSPEC); } } } 
{ /* ./SawJvm/names.scm 30 */
obj_t BgL_arg3535z00_888;
BgL_arg3535z00_888 = 
CDR(BgL_l3492z00_880); 
{ 
obj_t BgL_l3492z00_1629;
BgL_l3492z00_1629 = BgL_arg3535z00_888; 
BgL_l3492z00_880 = BgL_l3492z00_1629; 
goto BgL_forzd2each3493zd2_881;} } }  else 
{ /* ./SawJvm/names.scm 30 */((bool_t)1); } } } 
{ 
obj_t BgL_ll3495z00_889;obj_t BgL_ll3496z00_890;
BgL_ll3495z00_889 = 
CNST_TABLE_REF(((long)1)); 
BgL_ll3496z00_890 = 
CNST_TABLE_REF(((long)2)); 
BgL_forzd2each3497zd2_891:
{ /* ./SawJvm/names.scm 33 */
bool_t BgL_test3540z00_892;
BgL_test3540z00_892 = 
NULLP(BgL_ll3495z00_889); 
if(BgL_test3540z00_892)
{ /* ./SawJvm/names.scm 33 */((bool_t)1); }  else 
{ /* ./SawJvm/names.scm 33 */
{ /* ./SawJvm/names.scm 33 */
obj_t BgL_xz00_893;obj_t BgL_sz00_894;
BgL_xz00_893 = 
CAR(BgL_ll3495z00_889); 
BgL_sz00_894 = 
CAR(BgL_ll3496z00_890); 
{ /* ./SawJvm/names.scm 33 */
BgL_typez00_bglt BgL_arg3542z00_895;
{ /* ./SawJvm/names.scm 33 */
BgL_typez00_bglt BgL_obj3498z00_896;
{ 
BgL_typez00_bglt BgL_auxz00_1635;
BgL_auxz00_1635 = 
BGl_findzd2typezd2zztype_envz00(BgL_xz00_893); 
BgL_obj3498z00_896 = 
((BgL_typez00_bglt)BgL_auxz00_1635); } 
{ /* ./SawJvm/names.scm 33 */
BgL_jvmbasicz00_bglt BgL_arg3545z00_897;
BgL_arg3545z00_897 = 
BGl_wideningzd2jvmbasiczd2zzsaw_jvm_namesz00(); 
{ /* ./SawJvm/names.scm 33 */
obj_t BgL_auxz00_1641;BgL_objectz00_bglt BgL_auxz00_1639;
BgL_auxz00_1641 = 
(obj_t)(BgL_arg3545z00_897); 
BgL_auxz00_1639 = 
(BgL_objectz00_bglt)(BgL_obj3498z00_896); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1639, BgL_auxz00_1641); } } 
{ /* ./SawJvm/names.scm 33 */
long BgL_arg3549z00_898;
BgL_arg3549z00_898 = 
BGl_classzd2numzd2zz__objectz00(BGl_jvmbasicz00zzsaw_jvm_namesz00); 
{ /* ./SawJvm/names.scm 33 */
BgL_objectz00_bglt BgL_objz00_1442;
BgL_objz00_1442 = 
(BgL_objectz00_bglt)(BgL_obj3498z00_896); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1442, BgL_arg3549z00_898); } } 
{ /* ./SawJvm/names.scm 33 */
obj_t BgL_objz00_1444;
BgL_objz00_1444 = 
(obj_t)(BgL_obj3498z00_896); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1444); BUNSPEC; } 
BgL_arg3542z00_895 = BgL_obj3498z00_896; } 
{ /* ./SawJvm/names.scm 33 */
BgL_typez00_bglt BgL_obj1006z00_1445;obj_t BgL_val1005z00_1446;
BgL_obj1006z00_1445 = BgL_arg3542z00_895; 
BgL_val1005z00_1446 = BgL_sz00_894; 
((((BgL_typez00_bglt)CREF(BgL_obj1006z00_1445))->BgL_namez00) = ((obj_t)BgL_val1005z00_1446), BUNSPEC); } } } 
{ /* ./SawJvm/names.scm 33 */
obj_t BgL_arg3557z00_899;obj_t BgL_arg3558z00_900;
BgL_arg3557z00_899 = 
CDR(BgL_ll3495z00_889); 
BgL_arg3558z00_900 = 
CDR(BgL_ll3496z00_890); 
{ 
obj_t BgL_ll3496z00_1653;obj_t BgL_ll3495z00_1652;
BgL_ll3495z00_1652 = BgL_arg3557z00_899; 
BgL_ll3496z00_1653 = BgL_arg3558z00_900; 
BgL_ll3496z00_890 = BgL_ll3496z00_1653; 
BgL_ll3495z00_889 = BgL_ll3495z00_1652; 
goto BgL_forzd2each3497zd2_891;} } } } } 
{ 
obj_t BgL_ll3499z00_901;obj_t BgL_ll3500z00_902;
BgL_ll3499z00_901 = 
CNST_TABLE_REF(((long)3)); 
BgL_ll3500z00_902 = 
CNST_TABLE_REF(((long)4)); 
BgL_forzd2each3501zd2_903:
{ /* ./SawJvm/names.scm 37 */
bool_t BgL_test3564z00_904;
BgL_test3564z00_904 = 
NULLP(BgL_ll3499z00_901); 
if(BgL_test3564z00_904)
{ /* ./SawJvm/names.scm 37 */((bool_t)1); }  else 
{ /* ./SawJvm/names.scm 37 */
{ /* ./SawJvm/names.scm 38 */
obj_t BgL_vz00_905;obj_t BgL_iz00_906;
BgL_vz00_905 = 
CAR(BgL_ll3499z00_901); 
BgL_iz00_906 = 
CAR(BgL_ll3500z00_902); 
{ /* ./SawJvm/names.scm 38 */
BgL_typez00_bglt BgL_obj3502z00_907;
{ 
BgL_typez00_bglt BgL_auxz00_1660;
BgL_auxz00_1660 = 
BGl_findzd2typezd2zztype_envz00(BgL_vz00_905); 
BgL_obj3502z00_907 = 
((BgL_typez00_bglt)BgL_auxz00_1660); } 
{ /* ./SawJvm/names.scm 38 */
obj_t BgL_arg3566z00_908;
{ /* ./SawJvm/names.scm 38 */
BgL_typez00_bglt BgL_arg3569z00_909;
BgL_arg3569z00_909 = 
BGl_findzd2typezd2zztype_envz00(BgL_iz00_906); 
BgL_arg3566z00_908 = 
BGl_wideningzd2tveczd2zztvector_tvectorz00(BgL_arg3569z00_909); } 
{ /* ./SawJvm/names.scm 38 */
BgL_objectz00_bglt BgL_auxz00_1665;
BgL_auxz00_1665 = 
(BgL_objectz00_bglt)(BgL_obj3502z00_907); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1665, BgL_arg3566z00_908); } } 
{ /* ./SawJvm/names.scm 38 */
long BgL_arg3573z00_910;
BgL_arg3573z00_910 = 
BGl_classzd2numzd2zz__objectz00(BGl_tvecz00zztvector_tvectorz00); 
{ /* ./SawJvm/names.scm 38 */
BgL_objectz00_bglt BgL_objz00_1452;
BgL_objz00_1452 = 
(BgL_objectz00_bglt)(BgL_obj3502z00_907); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1452, BgL_arg3573z00_910); } } 
{ /* ./SawJvm/names.scm 38 */
obj_t BgL_objz00_1454;
BgL_objz00_1454 = 
(obj_t)(BgL_obj3502z00_907); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1454); BUNSPEC; } BgL_obj3502z00_907; } } 
{ /* ./SawJvm/names.scm 37 */
obj_t BgL_arg3581z00_911;obj_t BgL_arg3582z00_912;
BgL_arg3581z00_911 = 
CDR(BgL_ll3499z00_901); 
BgL_arg3582z00_912 = 
CDR(BgL_ll3500z00_902); 
{ 
obj_t BgL_ll3500z00_1676;obj_t BgL_ll3499z00_1675;
BgL_ll3499z00_1675 = BgL_arg3581z00_911; 
BgL_ll3500z00_1676 = BgL_arg3582z00_912; 
BgL_ll3500z00_902 = BgL_ll3500z00_1676; 
BgL_ll3499z00_901 = BgL_ll3499z00_1675; 
goto BgL_forzd2each3501zd2_903;} } } } } 
{ 
obj_t BgL_l3503z00_913;
BgL_l3503z00_913 = 
CNST_TABLE_REF(((long)5)); 
BgL_forzd2each3504zd2_914:
{ /* ./SawJvm/names.scm 42 */
bool_t BgL_test3588z00_915;
BgL_test3588z00_915 = 
PAIRP(BgL_l3503z00_913); 
if(BgL_test3588z00_915)
{ /* ./SawJvm/names.scm 42 */
{ /* ./SawJvm/names.scm 42 */
obj_t BgL_sz00_916;
BgL_sz00_916 = 
CAR(BgL_l3503z00_913); 
{ /* ./SawJvm/names.scm 42 */
BgL_typez00_bglt BgL_arg3590z00_917;obj_t BgL_arg3591z00_918;
{ /* ./SawJvm/names.scm 42 */
obj_t BgL_arg3594z00_919;
BgL_arg3594z00_919 = 
CAR(BgL_sz00_916); 
BgL_arg3590z00_917 = 
BGl_findzd2typezd2zztype_envz00(BgL_arg3594z00_919); } 
BgL_arg3591z00_918 = 
CDR(BgL_sz00_916); 
{ /* ./SawJvm/names.scm 42 */
BgL_typez00_bglt BgL_obj1006z00_1461;obj_t BgL_val1005z00_1462;
BgL_obj1006z00_1461 = BgL_arg3590z00_917; 
BgL_val1005z00_1462 = BgL_arg3591z00_918; 
((((BgL_typez00_bglt)CREF(BgL_obj1006z00_1461))->BgL_namez00) = ((obj_t)BgL_val1005z00_1462), BUNSPEC); } } } 
{ /* ./SawJvm/names.scm 42 */
obj_t BgL_arg3600z00_920;
BgL_arg3600z00_920 = 
CDR(BgL_l3503z00_913); 
{ 
obj_t BgL_l3503z00_1687;
BgL_l3503z00_1687 = BgL_arg3600z00_920; 
BgL_l3503z00_913 = BgL_l3503z00_1687; 
goto BgL_forzd2each3504zd2_914;} } }  else 
{ /* ./SawJvm/names.scm 42 */
return ((bool_t)1);} } } } 
}



/* _saw_jvm-set-type-names!4151 */
obj_t BGl__saw_jvmzd2setzd2typezd2namesz124151zc0zzsaw_jvm_namesz00(obj_t BgL_envz00_1517, obj_t BgL_typez00_1518)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 59 */
{ /* ./SawJvm/names.scm 60 */
BgL_typez00_bglt BgL_typez00_1568;
BgL_typez00_1568 = 
(BgL_typez00_bglt)(BgL_typez00_1518); 
return 
BGl_getzd2jvmtypezd2zzsaw_jvm_namesz00(BgL_typez00_1568);} } 
}



/* get-jvmtype */
obj_t BGl_getzd2jvmtypezd2zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_typez00_3)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 62 */
{ /* ./SawJvm/names.scm 63 */
obj_t BgL_namez00_921;
BgL_namez00_921 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_3))->BgL_namez00); 
{ /* ./SawJvm/names.scm 64 */
bool_t BgL_test3605z00_922;
BgL_test3605z00_922 = 
SYMBOLP(BgL_namez00_921); 
if(BgL_test3605z00_922)
{ /* ./SawJvm/names.scm 64 */
return BgL_namez00_921;}  else 
{ /* ./SawJvm/names.scm 66 */
obj_t BgL_jtypez00_923;
BgL_jtypez00_923 = 
BGl_buildzd2typezd2namez00zzsaw_jvm_namesz00(BgL_typez00_3); 
{ /* ./SawJvm/names.scm 67 */
BgL_typez00_bglt BgL_obj1006z00_1466;obj_t BgL_val1005z00_1467;
BgL_obj1006z00_1466 = BgL_typez00_3; 
BgL_val1005z00_1467 = BgL_jtypez00_923; 
((((BgL_typez00_bglt)CREF(BgL_obj1006z00_1466))->BgL_namez00) = ((obj_t)BgL_val1005z00_1467), BUNSPEC); } 
return BgL_jtypez00_923;} } } } 
}



/* build-type-name */
obj_t BGl_buildzd2typezd2namez00zzsaw_jvm_namesz00(BgL_typez00_bglt BgL_typez00_4)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 70 */
{ /* ./SawJvm/names.scm 72 */
bool_t BgL_test3610z00_924;
{ /* ./SawJvm/names.scm 72 */
obj_t BgL_obj2709z00_1468;
BgL_obj2709z00_1468 = 
(obj_t)(BgL_typez00_4); 
BgL_test3610z00_924 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2709z00_1468, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3610z00_924)
{ /* ./SawJvm/names.scm 72 */
{ /* ./SawJvm/names.scm 73 */
bool_t BgL_test3611z00_925;
{ /* ./SawJvm/names.scm 73 */
obj_t BgL_auxz00_1701;obj_t BgL_auxz00_1699;
BgL_auxz00_1701 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_1699 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_4))->BgL_idz00); 
BgL_test3611z00_925 = 
(BgL_auxz00_1699==BgL_auxz00_1701); } 
if(BgL_test3611z00_925)
{ /* ./SawJvm/names.scm 73 */
return 
CNST_TABLE_REF(((long)6));}  else 
{ /* ./SawJvm/names.scm 73 */
return 
BGl_qualifiedzd2tclasszd2namez00zzbackend_cplibz00(
(BgL_tclassz00_bglt)(BgL_typez00_4));} } }  else 
{ /* ./SawJvm/names.scm 76 */
bool_t BgL_test3618z00_928;
{ /* ./SawJvm/names.scm 76 */
obj_t BgL_obj2866z00_1470;
BgL_obj2866z00_1470 = 
(obj_t)(BgL_typez00_4); 
BgL_test3618z00_928 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2866z00_1470, BGl_wclassz00zzobject_classz00); } 
if(BgL_test3618z00_928)
{ /* ./SawJvm/names.scm 76 */
return 
BGl_qualifiedzd2wclasszd2namez00zzbackend_cplibz00(
(BgL_wclassz00_bglt)(BgL_typez00_4));}  else 
{ /* ./SawJvm/names.scm 78 */
bool_t BgL_test3620z00_929;
{ /* ./SawJvm/names.scm 78 */
obj_t BgL_obj2798z00_1471;
BgL_obj2798z00_1471 = 
(obj_t)(BgL_typez00_4); 
BgL_test3620z00_929 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2798z00_1471, BGl_jclassz00zzobject_classz00); } 
if(BgL_test3620z00_929)
{ /* ./SawJvm/names.scm 78 */
return 
BGl_qualifiedzd2jclasszd2namez00zzbackend_cplibz00(
(BgL_jclassz00_bglt)(BgL_typez00_4));}  else 
{ /* ./SawJvm/names.scm 79 */
bool_t BgL_test3622z00_930;
{ /* ./SawJvm/names.scm 79 */
obj_t BgL_obj2990z00_1472;
BgL_obj2990z00_1472 = 
(obj_t)(BgL_typez00_4); 
BgL_test3622z00_930 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj2990z00_1472, BGl_tvecz00zztvector_tvectorz00); } 
if(BgL_test3622z00_930)
{ /* ./SawJvm/names.scm 79 */
{ /* ./SawJvm/names.scm 80 */
BgL_typez00_bglt BgL_arg3624z00_931;
{ /* ./SawJvm/names.scm 80 */
BgL_tvecz00_bglt BgL_obj2991z00_1473;
BgL_obj2991z00_1473 = 
(BgL_tvecz00_bglt)(BgL_typez00_4); 
{ 
obj_t BgL_auxz00_1722;
{ /* ./SawJvm/names.scm 80 */
BgL_objectz00_bglt BgL_auxz00_1723;
BgL_auxz00_1723 = 
(BgL_objectz00_bglt)(BgL_obj2991z00_1473); 
BgL_auxz00_1722 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1723); } 
BgL_arg3624z00_931 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_1722))->BgL_itemzd2typezd2); } } 
BGl_getzd2jvmtypezd2zzsaw_jvm_namesz00(BgL_arg3624z00_931); } 
return BGl_string4244z00zzsaw_jvm_namesz00;}  else 
{ /* ./SawJvm/names.scm 82 */
bool_t BgL_test3627z00_932;
{ /* ./SawJvm/names.scm 82 */
obj_t BgL_obj3053z00_1474;
BgL_obj3053z00_1474 = 
(obj_t)(BgL_typez00_4); 
BgL_test3627z00_932 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3053z00_1474, BGl_jarrayz00zzforeign_jtypez00); } 
if(BgL_test3627z00_932)
{ /* ./SawJvm/names.scm 82 */
{ /* ./SawJvm/names.scm 83 */
BgL_typez00_bglt BgL_arg3629z00_933;
{ /* ./SawJvm/names.scm 83 */
BgL_jarrayz00_bglt BgL_obj3054z00_1475;
BgL_obj3054z00_1475 = 
(BgL_jarrayz00_bglt)(BgL_typez00_4); 
{ 
obj_t BgL_auxz00_1732;
{ /* ./SawJvm/names.scm 83 */
BgL_objectz00_bglt BgL_auxz00_1733;
BgL_auxz00_1733 = 
(BgL_objectz00_bglt)(BgL_obj3054z00_1475); 
BgL_auxz00_1732 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1733); } 
BgL_arg3629z00_933 = 
(((BgL_jarrayz00_bglt)CREF(BgL_auxz00_1732))->BgL_itemzd2typezd2); } } 
BGl_getzd2jvmtypezd2zzsaw_jvm_namesz00(BgL_arg3629z00_933); } 
return BGl_string4244z00zzsaw_jvm_namesz00;}  else 
{ /* ./SawJvm/names.scm 82 */
return 
BGl_qualifiedzd2typezd2namez00zzbackend_cplibz00(BgL_typez00_4);} } } } } } } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zzsaw_jvm_namesz00()
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 1 */
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_arg3639z00_934;obj_t BgL_arg3640z00_935;obj_t BgL_arg3644z00_939;
BgL_arg3639z00_934 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3640z00_935 = BGl_typez00zztype_typez00; 
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_v3508z00_940;
{ 
int BgL_auxz00_1740;
BgL_auxz00_1740 = 
(int)(((long)0)); 
BgL_v3508z00_940 = 
create_vector(BgL_auxz00_1740); } 
BgL_arg3644z00_939 = BgL_v3508z00_940; } 
BGl_jvmbasicz00zzsaw_jvm_namesz00 = 
BGl_registerzd2classz12zc0zz__objectz00(BgL_arg3639z00_934, BgL_arg3640z00_935, BFALSE, BGl_allocatezd2jvmbasiczd2envz00zzsaw_jvm_namesz00, ((long)17271), BNIL, BFALSE, BgL_arg3644z00_939); } 
return BUNSPEC;} 
}



/* jvmbasic? */
BGL_EXPORTED_DEF bool_t BGl_jvmbasiczf3zf3zzsaw_jvm_namesz00(obj_t BgL_obj3449z00_8)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3449z00_8, BGl_jvmbasicz00zzsaw_jvm_namesz00);} 
}



/* _jvmbasic? */
obj_t BGl__jvmbasiczf3zf3zzsaw_jvm_namesz00(obj_t BgL_envz00_1520, obj_t BgL_obj3449z00_1521)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ /* ./SawJvm/names.scm 14 */
bool_t BgL_auxz00_1745;
BgL_auxz00_1745 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj3449z00_1521, BGl_jvmbasicz00zzsaw_jvm_namesz00); 
return 
BBOOL(BgL_auxz00_1745);} } 
}



/* widening-jvmbasic */
BGL_EXPORTED_DEF BgL_jvmbasicz00_bglt BGl_wideningzd2jvmbasiczd2zzsaw_jvm_namesz00()
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ /* ./SawJvm/names.scm 14 */
BgL_jvmbasicz00_bglt BgL_new3421z00_941;
BgL_new3421z00_941 = 
((BgL_jvmbasicz00_bglt)BREF( GC_MALLOC (sizeof(struct BgL_jvmbasicz00_bgl)))); 
return BgL_new3421z00_941;} } 
}



/* _widening-jvmbasic */
obj_t BGl__wideningzd2jvmbasiczd2zzsaw_jvm_namesz00(obj_t BgL_envz00_1522)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ /* ./SawJvm/names.scm 14 */
BgL_jvmbasicz00_bglt BgL_auxz00_1749;
BgL_auxz00_1749 = 
BGl_wideningzd2jvmbasiczd2zzsaw_jvm_namesz00(); 
return 
(obj_t)(BgL_auxz00_1749);} } 
}



/* make-jvmbasic */
BGL_EXPORTED_DEF BgL_jvmbasicz00_bglt BGl_makezd2jvmbasiczd2zzsaw_jvm_namesz00(obj_t BgL_id3423z00_12, obj_t BgL_name3424z00_13, obj_t BgL_siza7e3425za7_14, obj_t BgL_class3426z00_15, obj_t BgL_coercezd2to3427zd2_16, obj_t BgL_parents3428z00_17, bool_t BgL_initzf33429zf3_18, bool_t BgL_magiczf33430zf3_19, obj_t BgL_z423431z42_20, obj_t BgL_alias3432z00_21, obj_t BgL_pointedzd2tozd2by3433z00_22, obj_t BgL_tvector3434z00_23, obj_t BgL_location3435z00_24, obj_t BgL_importzd2location3436zd2_25)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ /* ./SawJvm/names.scm 14 */
BgL_typez00_bglt BgL_aux3437z00_1477;
BgL_aux3437z00_1477 = 
BGl_makezd2typezd2zztype_typez00(BgL_id3423z00_12, BgL_name3424z00_13, BgL_siza7e3425za7_14, BgL_class3426z00_15, BgL_coercezd2to3427zd2_16, BgL_parents3428z00_17, BgL_initzf33429zf3_18, BgL_magiczf33430zf3_19, BgL_z423431z42_20, BgL_alias3432z00_21, BgL_pointedzd2tozd2by3433z00_22, BgL_tvector3434z00_23, BgL_location3435z00_24, BgL_importzd2location3436zd2_25); 
{ /* ./SawJvm/names.scm 14 */
long BgL_arg3650z00_1478;
BgL_arg3650z00_1478 = 
BGl_classzd2numzd2zz__objectz00(BGl_jvmbasicz00zzsaw_jvm_namesz00); 
{ /* ./SawJvm/names.scm 14 */
BgL_objectz00_bglt BgL_objz00_1481;
BgL_objz00_1481 = 
(BgL_objectz00_bglt)(BgL_aux3437z00_1477); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1481, BgL_arg3650z00_1478); } } 
{ /* ./SawJvm/names.scm 14 */
BgL_jvmbasicz00_bglt BgL_arg3654z00_1479;
BgL_arg3654z00_1479 = 
BGl_wideningzd2jvmbasiczd2zzsaw_jvm_namesz00(); 
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_auxz00_1759;BgL_objectz00_bglt BgL_auxz00_1757;
BgL_auxz00_1759 = 
(obj_t)(BgL_arg3654z00_1479); 
BgL_auxz00_1757 = 
(BgL_objectz00_bglt)(BgL_aux3437z00_1477); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1757, BgL_auxz00_1759); } } 
{ /* ./SawJvm/names.scm 14 */
BgL_jvmbasicz00_bglt BgL_new3438z00_1480;
{ 
BgL_jvmbasicz00_bglt BgL_auxz00_1762;
BgL_auxz00_1762 = 
(BgL_jvmbasicz00_bglt)(BgL_aux3437z00_1477); 
BgL_new3438z00_1480 = 
((BgL_jvmbasicz00_bglt)BgL_auxz00_1762); } 
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_objz00_1483;
BgL_objz00_1483 = 
(obj_t)(BgL_new3438z00_1480); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1483); BUNSPEC; } 
return BgL_new3438z00_1480;} } } 
}



/* _make-jvmbasic4156 */
obj_t BGl__makezd2jvmbasic4156zd2zzsaw_jvm_namesz00(obj_t BgL_envz00_1523, obj_t BgL_id3423z00_1524, obj_t BgL_name3424z00_1525, obj_t BgL_siza7e3425za7_1526, obj_t BgL_class3426z00_1527, obj_t BgL_coercezd2to3427zd2_1528, obj_t BgL_parents3428z00_1529, obj_t BgL_initzf33429zf3_1530, obj_t BgL_magiczf33430zf3_1531, obj_t BgL_z423431z42_1532, obj_t BgL_alias3432z00_1533, obj_t BgL_pointedzd2tozd2by3433z00_1534, obj_t BgL_tvector3434z00_1535, obj_t BgL_location3435z00_1536, obj_t BgL_importzd2location3436zd2_1537)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ /* ./SawJvm/names.scm 14 */
BgL_jvmbasicz00_bglt BgL_auxz00_1767;
BgL_auxz00_1767 = 
BGl_makezd2jvmbasiczd2zzsaw_jvm_namesz00(BgL_id3423z00_1524, BgL_name3424z00_1525, BgL_siza7e3425za7_1526, BgL_class3426z00_1527, BgL_coercezd2to3427zd2_1528, BgL_parents3428z00_1529, 
CBOOL(BgL_initzf33429zf3_1530), 
CBOOL(BgL_magiczf33430zf3_1531), BgL_z423431z42_1532, BgL_alias3432z00_1533, BgL_pointedzd2tozd2by3433z00_1534, BgL_tvector3434z00_1535, BgL_location3435z00_1536, BgL_importzd2location3436zd2_1537); 
return 
(obj_t)(BgL_auxz00_1767);} } 
}



/* fill-jvmbasic! */
BGL_EXPORTED_DEF BgL_jvmbasicz00_bglt BGl_fillzd2jvmbasicz12zc0zzsaw_jvm_namesz00(BgL_jvmbasicz00_bglt BgL_new3439z00_26)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ /* ./SawJvm/names.scm 14 */

return BgL_new3439z00_26;} } 
}



/* _fill-jvmbasic!4158 */
obj_t BGl__fillzd2jvmbasicz124158zc0zzsaw_jvm_namesz00(obj_t BgL_envz00_1538, obj_t BgL_new3439z00_1539)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ /* ./SawJvm/names.scm 14 */
BgL_jvmbasicz00_bglt BgL_auxz00_1772;
{ /* ./SawJvm/names.scm 14 */

BgL_auxz00_1772 = 
(BgL_jvmbasicz00_bglt)(BgL_new3439z00_1539); } 
return 
(obj_t)(BgL_auxz00_1772);} } 
}



/* allocate-jvmbasic */
BGL_EXPORTED_DEF BgL_typez00_bglt BGl_allocatezd2jvmbasiczd2zzsaw_jvm_namesz00()
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ /* ./SawJvm/names.scm 14 */
BgL_typez00_bglt BgL_new3441z00_1571;
BgL_new3441z00_1571 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* ./SawJvm/names.scm 14 */
long BgL_arg3660z00_1572;
BgL_arg3660z00_1572 = 
BGl_classzd2numzd2zz__objectz00(BGl_jvmbasicz00zzsaw_jvm_namesz00); 
{ /* ./SawJvm/names.scm 14 */
BgL_objectz00_bglt BgL_objz00_1573;
BgL_objz00_1573 = 
(BgL_objectz00_bglt)(BgL_new3441z00_1571); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1573, BgL_arg3660z00_1572); } } 
{ /* ./SawJvm/names.scm 14 */
BgL_objectz00_bglt BgL_auxz00_1779;
BgL_auxz00_1779 = 
(BgL_objectz00_bglt)(BgL_new3441z00_1571); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1779, BFALSE); } 
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_objz00_1574;
BgL_objz00_1574 = 
(obj_t)(BgL_new3441z00_1571); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1574); BUNSPEC; } 
return BgL_new3441z00_1571;} } 
}



/* _allocate-jvmbasic */
obj_t BGl__allocatezd2jvmbasiczd2zzsaw_jvm_namesz00(obj_t BgL_envz00_1519)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ /* ./SawJvm/names.scm 14 */
BgL_typez00_bglt BgL_auxz00_1784;
{ /* ./SawJvm/names.scm 14 */
BgL_typez00_bglt BgL_res4264z00_1579;
{ /* ./SawJvm/names.scm 14 */
BgL_typez00_bglt BgL_new3441z00_1575;
BgL_new3441z00_1575 = 
((BgL_typez00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_typez00_bgl) ))); 
{ /* ./SawJvm/names.scm 14 */
long BgL_arg3660z00_1576;
BgL_arg3660z00_1576 = 
BGl_classzd2numzd2zz__objectz00(BGl_jvmbasicz00zzsaw_jvm_namesz00); 
{ /* ./SawJvm/names.scm 14 */
BgL_objectz00_bglt BgL_objz00_1577;
BgL_objz00_1577 = 
(BgL_objectz00_bglt)(BgL_new3441z00_1575); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1577, BgL_arg3660z00_1576); } } 
{ /* ./SawJvm/names.scm 14 */
BgL_objectz00_bglt BgL_auxz00_1789;
BgL_auxz00_1789 = 
(BgL_objectz00_bglt)(BgL_new3441z00_1575); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1789, BFALSE); } 
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_objz00_1578;
BgL_objz00_1578 = 
(obj_t)(BgL_new3441z00_1575); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1578); BUNSPEC; } 
BgL_res4264z00_1579 = BgL_new3441z00_1575; } 
BgL_auxz00_1784 = BgL_res4264z00_1579; } 
return 
(obj_t)(BgL_auxz00_1784);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzsaw_jvm_namesz00()
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 1 */
BGl_addzd2methodz12zc0zz__objectz00(BGl_backendzd2subtypezf3zd2envzf3zzbackend_backendz00, BGl_jvmz00zzbackend_backendz00, BGl_proc4245z00zzsaw_jvm_namesz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_jvmbasicz00zzsaw_jvm_namesz00, BGl_proc4246z00zzsaw_jvm_namesz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_jvmbasicz00zzsaw_jvm_namesz00, BGl_proc4247z00zzsaw_jvm_namesz00);} 
}



/* struct+object->object-jvmbasic3514 */
obj_t BGl_structzb2objectzd2ze3objectzd2jvmbasic3514z51zzsaw_jvm_namesz00(obj_t BgL_envz00_1548, obj_t BgL_oz00_1549, obj_t BgL_sz00_1550)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ 
BgL_jvmbasicz00_bglt BgL_oz00_1420;obj_t BgL_sz00_1421;
{ /* ./SawJvm/names.scm 14 */
BgL_jvmbasicz00_bglt BgL_auxz00_1798;
BgL_oz00_1420 = 
(BgL_jvmbasicz00_bglt)(BgL_oz00_1549); 
BgL_sz00_1421 = BgL_sz00_1550; 
{ 

{ /* ./SawJvm/names.scm 14 */
obj_t BgL_old3446z00_1424;
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_nextzd2method3513zd2_1429;
BgL_nextzd2method3513zd2_1429 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1420), BGl_structzb2objectzd2ze3objectzd2envz51zz__objectz00, BGl_jvmbasicz00zzsaw_jvm_namesz00); 
{ /* ./SawJvm/names.scm 14 */
bool_t BgL_test4128z00_1430;
BgL_test4128z00_1430 = 
PROCEDUREP(BgL_nextzd2method3513zd2_1429); 
if(BgL_test4128z00_1430)
{ /* ./SawJvm/names.scm 14 */
BgL_old3446z00_1424 = 
PROCEDURE_ENTRY(BgL_nextzd2method3513zd2_1429)(BgL_nextzd2method3513zd2_1429, 
(obj_t)(BgL_oz00_1420), BgL_sz00_1421, BEOA); }  else 
{ /* ./SawJvm/names.scm 14 */
{ /* ./SawJvm/names.scm 14 */
BgL_objectz00_bglt BgL_auxz00_1806;
BgL_auxz00_1806 = 
BGl_structzb2objectzd2ze3objectz83zz__objectz00(
(BgL_objectz00_bglt)(BgL_oz00_1420), BgL_sz00_1421); 
BgL_old3446z00_1424 = 
(obj_t)(BgL_auxz00_1806); } } } } 
{ /* ./SawJvm/names.scm 14 */
BgL_jvmbasicz00_bglt BgL_new3448z00_1426;
BgL_new3448z00_1426 = 
((BgL_jvmbasicz00_bglt)(BgL_old3446z00_1424)); 
{ /* ./SawJvm/names.scm 14 */
long BgL_arg4118z00_1427;
BgL_arg4118z00_1427 = 
BGl_classzd2numzd2zz__objectz00(BGl_jvmbasicz00zzsaw_jvm_namesz00); 
{ /* ./SawJvm/names.scm 14 */
BgL_objectz00_bglt BgL_objz00_1509;
BgL_objz00_1509 = 
(BgL_objectz00_bglt)(BgL_new3448z00_1426); 
BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1509, BgL_arg4118z00_1427); } } 
{ /* ./SawJvm/names.scm 14 */
BgL_jvmbasicz00_bglt BgL_arg4122z00_1428;
BgL_arg4122z00_1428 = 
BGl_wideningzd2jvmbasiczd2zzsaw_jvm_namesz00(); 
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_auxz00_1817;BgL_objectz00_bglt BgL_auxz00_1815;
BgL_auxz00_1817 = 
(obj_t)(BgL_arg4122z00_1428); 
BgL_auxz00_1815 = 
(BgL_objectz00_bglt)(BgL_new3448z00_1426); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_1815, BgL_auxz00_1817); } } 
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_objz00_1511;
BgL_objz00_1511 = 
(obj_t)(BgL_new3448z00_1426); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_objz00_1511); BUNSPEC; } 
BgL_auxz00_1798 = BgL_new3448z00_1426; } } } 
return 
(obj_t)(BgL_auxz00_1798);} } } 
}



/* object->struct-jvmbasic3512 */
obj_t BGl_objectzd2ze3structzd2jvmbasic3512ze3zzsaw_jvm_namesz00(obj_t BgL_envz00_1551, obj_t BgL_obj3443z00_1552)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 14 */
{ 
BgL_jvmbasicz00_bglt BgL_obj3443z00_1412;
BgL_obj3443z00_1412 = 
(BgL_jvmbasicz00_bglt)(BgL_obj3443z00_1552); 
{ 

{ /* ./SawJvm/names.scm 14 */
obj_t BgL_res3444z00_1415;
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_nextzd2method3511zd2_1418;
BgL_nextzd2method3511zd2_1418 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj3443z00_1412), BGl_objectzd2ze3structzd2envze3zz__objectz00, BGl_jvmbasicz00zzsaw_jvm_namesz00); 
{ /* ./SawJvm/names.scm 14 */
bool_t BgL_test4111z00_1419;
BgL_test4111z00_1419 = 
PROCEDUREP(BgL_nextzd2method3511zd2_1418); 
if(BgL_test4111z00_1419)
{ /* ./SawJvm/names.scm 14 */
BgL_res3444z00_1415 = 
PROCEDURE_ENTRY(BgL_nextzd2method3511zd2_1418)(BgL_nextzd2method3511zd2_1418, 
(obj_t)(BgL_obj3443z00_1412), BEOA); }  else 
{ /* ./SawJvm/names.scm 14 */
BgL_res3444z00_1415 = 
BGl_objectzd2ze3structz31zz__objectz00(
(BgL_objectz00_bglt)(BgL_obj3443z00_1412)); } } } 
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_aux3445z00_1416;
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_keyz00_1494;int BgL_lenz00_1495;
BgL_keyz00_1494 = 
CNST_TABLE_REF(((long)7)); 
BgL_lenz00_1495 = 
(int)(((long)0)); 
BgL_aux3445z00_1416 = 
make_struct(BgL_keyz00_1494, BgL_lenz00_1495, BUNSPEC); } 
{ /* ./SawJvm/names.scm 14 */
int BgL_kz00_1498;
BgL_kz00_1498 = 
(int)(((long)0)); 
STRUCT_SET(BgL_res3444z00_1415, BgL_kz00_1498, BgL_aux3445z00_1416); } 
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_arg4105z00_1417;
BgL_arg4105z00_1417 = 
STRUCT_KEY(BgL_res3444z00_1415); 
STRUCT_KEY_SET(BgL_aux3445z00_1416, BgL_arg4105z00_1417); } 
{ /* ./SawJvm/names.scm 14 */
obj_t BgL_kz00_1505;
BgL_kz00_1505 = 
CNST_TABLE_REF(((long)7)); 
STRUCT_KEY_SET(BgL_res3444z00_1415, BgL_kz00_1505); } 
return BgL_res3444z00_1415;} } } } } 
}



/* backend-subtype?-jvm3510 */
obj_t BGl_backendzd2subtypezf3zd2jvm3510zf3zzsaw_jvm_namesz00(obj_t BgL_envz00_1553, obj_t BgL_bz00_1554, obj_t BgL_t1z00_1555, obj_t BgL_t2z00_1556)
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 90 */
{ 
BgL_jvmz00_bglt BgL_bz00_1396;BgL_typez00_bglt BgL_t1z00_1397;BgL_typez00_bglt BgL_t2z00_1398;
{ /* ./SawJvm/names.scm 91 */
bool_t BgL_auxz00_1843;
BgL_bz00_1396 = 
(BgL_jvmz00_bglt)(BgL_bz00_1554); 
BgL_t1z00_1397 = 
(BgL_typez00_bglt)(BgL_t1z00_1555); 
BgL_t2z00_1398 = 
(BgL_typez00_bglt)(BgL_t2z00_1556); 
{ /* ./SawJvm/names.scm 91 */
bool_t BgL__ortest_3505z00_1401;
{ /* ./SawJvm/names.scm 91 */
obj_t BgL_auxz00_1846;obj_t BgL_auxz00_1844;
BgL_auxz00_1846 = 
(obj_t)(BgL_t2z00_1398); 
BgL_auxz00_1844 = 
(obj_t)(BgL_t1z00_1397); 
BgL__ortest_3505z00_1401 = 
(BgL_auxz00_1844==BgL_auxz00_1846); } 
if(BgL__ortest_3505z00_1401)
{ /* ./SawJvm/names.scm 91 */
BgL_auxz00_1843 = BgL__ortest_3505z00_1401
; }  else 
{ /* ./SawJvm/names.scm 92 */
bool_t BgL__ortest_3506z00_1402;
{ /* ./SawJvm/names.scm 92 */
obj_t BgL_auxz00_1852;obj_t BgL_auxz00_1850;
BgL_auxz00_1852 = 
(((BgL_typez00_bglt)CREF(BgL_t2z00_1398))->BgL_idz00); 
BgL_auxz00_1850 = 
(((BgL_typez00_bglt)CREF(BgL_t1z00_1397))->BgL_idz00); 
BgL__ortest_3506z00_1402 = 
(BgL_auxz00_1850==BgL_auxz00_1852); } 
if(BgL__ortest_3506z00_1402)
{ /* ./SawJvm/names.scm 92 */
BgL_auxz00_1843 = BgL__ortest_3506z00_1402
; }  else 
{ /* ./SawJvm/names.scm 93 */
bool_t BgL__ortest_3507z00_1403;
{ /* ./SawJvm/names.scm 93 */
obj_t BgL_auxz00_1858;obj_t BgL_auxz00_1856;
BgL_auxz00_1858 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_1856 = 
(((BgL_typez00_bglt)CREF(BgL_t2z00_1398))->BgL_namez00); 
BgL__ortest_3507z00_1403 = 
(BgL_auxz00_1856==BgL_auxz00_1858); } 
if(BgL__ortest_3507z00_1403)
{ /* ./SawJvm/names.scm 93 */
BgL_auxz00_1843 = BgL__ortest_3507z00_1403
; }  else 
{ /* ./SawJvm/names.scm 94 */
obj_t BgL_auxz00_1864;obj_t BgL_auxz00_1862;
BgL_auxz00_1864 = 
(((BgL_typez00_bglt)CREF(BgL_t2z00_1398))->BgL_namez00); 
BgL_auxz00_1862 = 
(((BgL_typez00_bglt)CREF(BgL_t1z00_1397))->BgL_namez00); 
BgL_auxz00_1843 = 
(BgL_auxz00_1862==BgL_auxz00_1864); } } } } 
return 
BBOOL(BgL_auxz00_1843);} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzsaw_jvm_namesz00()
{ AN_OBJECT;
{ /* ./SawJvm/names.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25186), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)44183), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)32501), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zzforeign_jtypez00(((long)33635), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)16338), "saw_jvm_names"); 
BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long)3428), "saw_jvm_names"); 
return 
BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long)26792), "saw_jvm_names");} 
}

